/usr/bin/gnome-tweaks:AttributeError:do_activate:__init__:load_tweaks:/usr/lib/python3/dist-packages/gtweak/tweaks/tweak_group_general.py@14

Bug #1799459 reported by errors.ubuntu.com bug bridge on 2018-10-23
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gnome-tweaks (Ubuntu)
Medium
Jeremy Bicha
Cosmic
Medium
Jeremy Bicha

Bug Description

Impact
======
GNOME Tweaks 3.30.2 is a new bugfix release in the stable 3.30 series. The only pratical change besides translation updates is a fix for running GNOME Tweaks in other desktop environments (such as Budgie or GNOME Flashback) than GNOME Shell. Before this fix, GNOME Tweaks would crash when run in those environments. This was a regression compared to 3.28 in Ubuntu 18.04 LTS.

Test Case
==========
From Ubuntu Budgie 18.10, install the proposed version of GNOME Tweaks.
Run GNOME Tweaks. It should start and run normally.

Regression Potential
====================
This update qualifies for the GNOME Stable Release micro-exception.

https://wiki.ubuntu.com/StableReleaseUpdates#GNOME

Original Bug Report
===================

The Ubuntu Error Tracker has been receiving reports about a problem regarding gnome-tweaks. This problem was most recently seen with package version 3.30.1-1, the problem page at https://errors.ubuntu.com/problem/42e65ca7890bc35d2579b025bc203b9f08b6e878 contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

Andrea Azzarone (azzar1) wrote :
Changed in gnome-tweaks (Ubuntu):
status: New → Fix Committed
Jeremy Bicha (jbicha) on 2018-12-10
Changed in gnome-tweaks (Ubuntu Cosmic):
importance: Undecided → Medium
status: New → In Progress
tags: removed: bionic kylin-18.10
description: updated
Changed in gnome-tweaks (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-tweaks - 3.30.2-1

---------------
gnome-tweaks (3.30.2-1) unstable; urgency=medium

  * New upstream release
    - Fix running Tweaks outside of GNOME Shell (LP: #1799459)

 -- Jeremy Bicha <email address hidden> Sun, 09 Dec 2018 22:00:39 -0500

Changed in gnome-tweaks (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2018-12-11
Changed in gnome-tweaks (Ubuntu Cosmic):
assignee: nobody → Jeremy Bicha (jbicha)
Changed in gnome-tweaks (Ubuntu):
assignee: nobody → Jeremy Bicha (jbicha)

Hello errors.ubuntu.com, or anyone else affected,

Accepted gnome-tweaks into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-tweaks/3.30.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-tweaks (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Jeremy Bicha (jbicha) wrote :

From a Ubuntu Budgie 18.10 live ISO, I installed gnome-tweaks 3.30.2-0ubuntu1 and verified that GNOME Tweaks now runs successfully.

tags: added: verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Johny Bens (johnybens) wrote :

Installed gnome-tweaks_3.30.2-0ubuntu1_all via cosmic-proposed on full install of Ubuntu Budgie 18.10.
GNOME Tweaks almost ran successfully.

While changing setting (Both Shift together enable Caps Lock) in Keyboard / Additional Layout Options / Miscellaneous Compatibility options I got a segfault.

Dec 14 19:16:04 johny-hwxpro kernel: [ 8694.101852] show_signal_msg: 33 callbacks suppressed
Dec 14 19:16:04 johny-hwxpro kernel: [ 8694.101861] gnome-tweaks[13483]: segfault at ffffffffffffffb8 ip 00007fa7cc98b9d3 sp 00007ffc4241d390 error 5 in libgtk-3.so.0.2400.1[7fa7cc8eb000+353000]
Dec 14 19:16:04 johny-hwxpro kernel: [ 8694.101954] Code: 83 ec 28 4c 63 2d f5 3b 61 00 64 48 8b 04 25 28 00 00 00 48 89 44 24 18 31 c0 49 01 fd 48 89 d7 e8 5a 83 f6 ff 44 89 7c 24 08 <49> 8b 7d 08 48 89 04 24 44 89 74 24 0c 85 db 78 05 39 5f 08 77 4f

Interestingly the setting was enabled after restarting Tweaks and disabling and re-enabling the same (or other) setting did not repeat the segfault.
Whoopsie report send.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-tweaks - 3.30.2-0ubuntu1

---------------
gnome-tweaks (3.30.2-0ubuntu1) cosmic; urgency=medium

  * New upstream release
    - Fix running Tweaks outside of GNOME Shell (LP: #1799459)

 -- Jeremy Bicha <email address hidden> Sun, 09 Dec 2018 22:03:19 -0500

Changed in gnome-tweaks (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-tweaks has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers